<div class="front_page_section front_page_section_about<?php
	$corredo_scheme = corredo_get_theme_option( 'front_page_about_scheme' );
	if ( ! corredo_is_inherit( $corredo_scheme ) ) {
		echo ' scheme_' . esc_attr( $corredo_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( corredo_get_theme_option( 'front_page_about_paddings' ) );
?>"
		<?php
		$corredo_css      = '';
		$corredo_bg_image = corredo_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $corredo_bg_image ) ) {
			$corredo_css .= 'background-image: url(' . esc_url( corredo_get_attachment_url( $corredo_bg_image ) ) . ');';
		}
		if ( ! empty( $corredo_css ) ) {
			echo ' style="' . esc_attr( $corredo_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$corredo_anchor_icon = corredo_get_theme_option( 'front_page_about_anchor_icon' );
	$corredo_anchor_text = corredo_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $corredo_anchor_icon ) || ! empty( $corredo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $corredo_anchor_icon ) ? ' icon="' . esc_attr( $corredo_anchor_icon ) . '"' : '' )
									. ( ! empty( $corredo_anchor_text ) ? ' title="' . esc_attr( $corredo_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( corredo_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' corredo-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$corredo_css           = '';
			$corredo_bg_mask       = corredo_get_theme_option( 'front_page_about_bg_mask' );
			$corredo_bg_color_type = corredo_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $corredo_bg_color_type ) {
				$corredo_bg_color = corredo_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $corredo_bg_color_type ) {
				$corredo_bg_color = corredo_get_scheme_color( 'bg_color', $corredo_scheme );
			} else {
				$corredo_bg_color = '';
			}
			if ( ! empty( $corredo_bg_color ) && $corredo_bg_mask > 0 ) {
				$corredo_css .= 'background-color: ' . esc_attr(
					1 == $corredo_bg_mask ? $corredo_bg_color : corredo_hex2rgba( $corredo_bg_color, $corredo_bg_mask )
				) . ';';
			}
			if ( ! empty( $corredo_css ) ) {
				echo ' style="' . esc_attr( $corredo_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$corredo_caption = corredo_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $corredo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $corredo_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $corredo_caption, 'corredo_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$corredo_description = corredo_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $corredo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $corredo_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $corredo_description ), 'corredo_kses_content'  ); ?></div>
				<?php
			}

			// Content
			$corredo_content = corredo_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $corredo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $corredo_content ) ? 'filled' : 'empty'; ?>">
				<?php
					$corredo_page_content_mask = '%%CONTENT%%';
				if ( strpos( $corredo_content, $corredo_page_content_mask ) !== false ) {
					$corredo_content = preg_replace(
						'/(\<p\>\s*)?' . $corredo_page_content_mask . '(\s*\<\/p\>)/i',
						sprintf(
							'<div class="front_page_section_about_source">%s</div>',
							apply_filters( 'the_content', get_the_content() )
						),
						$corredo_content
					);
				}
					corredo_show_layout( $corredo_content );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
