<?php
/**
 * The template to display the socials in the footer
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0.10
 */


// Socials
if ( corredo_is_on( corredo_get_theme_option( 'socials_in_footer' ) ) ) {
	$corredo_output = corredo_get_socials_links();
	if ( '' != $corredo_output ) {
		?>
		<div class="footer_socials_wrap socials_wrap">
			<div class="footer_socials_inner">
				<?php corredo_show_layout( $corredo_output ); ?>
			</div>
		</div>
		<?php
	}
}
