<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

$corredo_link        = get_permalink();
$corredo_post_format = get_post_format();
$corredo_post_format = empty( $corredo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $corredo_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item related_item_style_1 post_format_' . esc_attr( $corredo_post_format ) ); ?>>
	<?php
	corredo_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'corredo_filter_related_thumb_size', corredo_get_thumb_size( (int) corredo_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
			'show_no_image' => corredo_get_theme_setting( 'allow_no_image' ),
			'singular'      => false,
			'post_info'     => '<div class="post_header entry-header">'
						. '<div class="post_categories">' . wp_kses( corredo_get_post_categories( '' ),'corredo_kses_content' ) . '</div>'
						. '<h6 class="post_title entry-title"><a href="' . esc_url( $corredo_link ) . '">' . wp_kses_data( get_the_title() ) . '</a></h6>'
						. ( in_array( get_post_type(), array( 'post', 'attachment' ) )
								? '<span class="post_date"><a href="' . esc_url( $corredo_link ) . '">' . wp_kses_data( corredo_get_date() ) . '</a></span>'
								: '' )
					. '</div>',
		)
	);
	?>
</div>
